version: "3"
services:
  navidrome:
    image: deluan/navidrome:latest
    user: 1000:1000 # should be owner of volumes
    ports:
      - "45333:4533"
    restart: unless-stopped
    environment:
      # Optional: put your config options customization here. Examples:
      ND_DEFAULTLANGUAGE=zh-Hans
      ND_SCANSCHEDULE: 1h
      ND_LOGLEVEL: info  
      ND_SESSIONTIMEOUT: 24h
      ND_BASEURL: ""
    volumes:
      - "/opt/docker-data/navidrome/data:/data"
      - "/mnt/movies/m3/媒体中心3/音乐3:/music:ro"